Bug 836919 - CPU topology parsing bug on special NUMA platform
Summary: CPU topology parsing bug on special NUMA platform
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt
Version: 6.4
Hardware: All
OS: Unspecified
high
medium
Target Milestone: rc
: ---
Assignee: Daniel Veillard
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 828729
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-07-02 07:43 UTC by RHEL Product and Program Management
Modified: 2012-07-18 11:52 UTC (History)
9 users (show)

Fixed In Version: libvirt-0.9.10-21.el6_3.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-18 11:52:09 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2012:1095 normal SHIPPED_LIVE libvirt bug fix update 2012-07-18 15:51:44 UTC

Description RHEL Product and Program Management 2012-07-02 07:43:24 UTC
This bug has been copied from bug #828729 and has been proposed
to be backported to 6.3 z-stream (EUS).

Comment 6 Wayne Sun 2012-07-09 08:10:42 UTC
pkgs:
# rpm -qa|grep libvirt
libvirt-0.9.10-21.el6_3.2.x86_64
libvirt-devel-0.9.10-21.el6_3.2.x86_64
libvirt-python-0.9.10-21.el6_3.2.x86_64
libvirt-client-0.9.10-21.el6_3.2.x86_64

# cat /proc/cpuinfo |grep "model name"|tail -1
model name	: AMD Opteron(tm) Processor 6172

steps:
# cat /proc/cpuinfo |grep processor |wc -l
48

# cat /proc/cpuinfo |grep "cpu cores"|tail -1
cpu cores	: 12

# virsh nodeinfo
CPU model:           x86_64
CPU(s):              48
CPU frequency:       2100 MHz
CPU socket(s):       4
Core(s) per socket:  12
Thread(s) per core:  1
NUMA cell(s):        1
Memory size:         529263760 kB

The cpu cores from cpuinfo is 12, the nodeifo output is also 12.

Comment 8 errata-xmlrpc 2012-07-18 11:52:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-1095.html


Note You need to log in before you can comment on or make changes to this bug.